org.apache.ignite.internal.processors.igfs.client

## Class IgfsClientDeleteCallable

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable<Boolean>
  - - org.apache.ignite.internal.processors.igfs.client.IgfsClientDeleteCallable

All Implemented Interfaces:
  Serializable, Callable<Boolean>, Binarylizable, IgniteCallable<Boolean>

    public class IgfsClientDeleteCallable
    extends IgfsClientAbstractCallable<Boolean>

IGFS client delete callable.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable

`igfsName, path, user`

### Constructor Summary

Constructors
Constructor and Description
`IgfsClientDeleteCallable()` Default constructor.
`IgfsClientDeleteCallable(String igfsName, String user, IgfsPath path, boolean recursive)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Boolean` `call0(IgfsContext ctx)` Execute task.
`void` `readBinary0(BinaryRawReader reader)` Read binary.
`String` `toString()`
`void` `writeBinary0(BinaryRawWriter writer)` Write binary.

### Methods inherited from class org.apache.ignite.internal.processors.igfs.client.IgfsClientAbstractCallable

`call, readBinary, writeBinary`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsClientDeleteCallable

    public IgfsClientDeleteCallable()

Default constructor.

#### IgfsClientDeleteCallable

    public IgfsClientDeleteCallable(@Nullable
                                    String igfsName,
                                    @Nullable
                                    String user,
                                    IgfsPath path,
                                    boolean recursive)

Constructor.

Parameters:
  `igfsName` - IGFS name.
  `user` - IGFS user name.
  `path` - Path.
  `recursive` - Recursive flag.

### Method Detail

#### call0

    protected Boolean call0(IgfsContext ctx)
                     throws Exception

Execute task.

Specified by:
  `call0` in class `IgfsClientAbstractCallable<Boolean>`
Parameters:
  `ctx` - IGFS ocntext.
Returns:
  Result.
Throws:
  `Exception` - If failed.

#### writeBinary0

    public void writeBinary0(BinaryRawWriter writer)
                      throws BinaryObjectException

Write binary.

Overrides:
  `writeBinary0` in class `IgfsClientAbstractCallable<Boolean>`
Parameters:
  `writer` - Raw writer.
Throws:
  `BinaryObjectException`

#### readBinary0

    public void readBinary0(BinaryRawReader reader)
                     throws BinaryObjectException

Read binary.

Overrides:
  `readBinary0` in class `IgfsClientAbstractCallable<Boolean>`
Parameters:
  `reader` - Raw reader.
Throws:
  `BinaryObjectException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018